#ifndef VISUALDETECTWIDGET_H
#define VISUALDETECTWIDGET_H

#include <QWidget>
#include <QDir>
#include <QPixmap>
#include <QMessageBox>
#include <QFileDialog>
#include <QApplication>
#include "setcontrolstyle.h"

namespace Ui {
class VisualDetectWidget;
}

class VisualDetectWidget : public QWidget
{
    Q_OBJECT

public:
    explicit VisualDetectWidget(QWidget *parent = 0);
    ~VisualDetectWidget();

private slots:
    void on_buttonBack_clicked();

    void on_buttonLoadImage_clicked();

    void on_buttonGetPointNumber_clicked();

private:
    Ui::VisualDetectWidget *ui;
    QString  m_imgPath;
    int  m_globalFlag;//灰度化转换标志

private:
    void initialize();//初始化
    void initControl();
    void initResolution1910();//初始化窗体控件为1920x1080分辨率
    void initControlStyle();//初始化窗体控件样式

public:
    //void loadVisualDetectImage();
    void grayScale();//灰度化

};

#endif // VISUALDETECTWIDGET_H
